@media (max-width: 1920px) {
  .header{
    padding: 0 30px;
  }

  .container{
    padding: 0 25px;
  }

@media (max-width: 1279px) {

  .header{
    padding: 0 20px;
  }

  .container{
    padding: 0 20px;
  }

  .section-offset {
    margin-top: 55px;
  }

  .header__block {
    height: 69px;
  }

  .header__logo {
    height: 48px;
  }

  .about.section-offset {
    margin-top: 37px;
  }

  .projects__wrap {
    padding: 161px 77px;
  }

  .projects__text-h1 {
    font-size: 60px;
    line-height: 73px;
  }

  .projects__text-p {
    padding: 16px 0 61px;
    font-size: 20px;
    line-height: 24px;
  }

  .about__text {
    padding: 20px 0 60px;
    font-size: 16px;
    line-height: 32px;
  }

  .about__block {
    flex-direction: column;
  }

  .about__block-left {
    width: 100%;
    height: 640px;
    margin-bottom: 32px;
  }

  .about__item {
    padding: 64px 76px;
  }

  .about__item-img {
    width: 190px;
  }

  .stages.section-offset {
    margin-top: 80px;
  }

  .stages__btn:first-child {
    margin-right: 27px;
  }

  .stages__block-wrap {
    margin-top: 53px;
  }

  .stages__item-right {
    width: 47%;
  }

  .stages__block-btn {
    margin-top: 25px;
  }

  .stages__item__subtitle,
  .stages__item__subtitle768 {
    min-height: 458px;
  }

  .stages__item-left {
    width: 46%;
  }

  .questions.section-offset {
    margin-top: 82px;
  }

  .questions {
    margin-bottom: 79px;
  }

  .questions__item-p {
    font-size: 20px;
  }

  .footer__wrap {
    padding: 50px 0;
  }

  .footer__form {
    padding: 0;
  }

  .footer__center {
    max-width: 541px;
  }

  .footer__right {
    display: none;
  }

  .footer__input-btn {
    padding: 20px 38px;
  }
}

@media (max-width: 1023px) {
  .header {
    border-bottom-right-radius: 24px;
    border-bottom-left-radius: 24px;
  }

  .header__burger {
    display: block;
    position: relative;
    z-index: 2000;
    width: 30px;
    height: 24px;
    color: var(--black-color);
  }

  .header__burger-line {
    width: 30px;
    height: 3px;
    background-color: currentColor;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
  }

  .header__burger-line:nth-child(1) {
    top: 0;
  }

  .header__burger-line:nth-child(2) {
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
  }

  .header__burger-line:nth-child(3) {
    bottom: 0;
  }

  .header-nav {
    min-width: 350px;
    height: 100vh;
    padding: 38px 50px;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1000;
    background-color: var(--white-color);
    border-bottom-left-radius: 32px;
    border-bottom-right-radius: 32px;
    overflow-y: auto;
    visibility: hidden;
    transform: translateX(-120%);
    transition: visibility 0.3s ease-in-out, transform 0.3s ease-in-out;
  }

  .stop-scroll {
    overflow: hidden;
  }

  .header-nav__list {
    margin-top: 107px;
    flex-direction: column;
  }

  .header-nav__item {
    padding: 0;
    margin: 0;
  }

  .header-nav__item:not(:last-child) {
    margin-bottom: 60px;
    margin-right: 0;
  }

  .header-nav__link {
    font-weight: 700;
    font-size: 24px;
  }

  .header-nav--active {
    visibility: visible;
    transform: none;
  }

  .burger--active .header__burger-line:nth-child(2) {
    opacity: 0;
  }

  .burger--active .header__burger-line:first-child {
    left: 0;
    top: 50%;
    transform: rotate(45deg);
    transform-origin: center;
    transition: transform 0.3s ease-in-out, top 0.3s ease-in-out,
      left 0.3s ease-in-out;
  }

  .burger--active .header__burger-line:last-child {
    left: 0;
    bottom: auto;
    top: 50%;
    transform: rotate(-45deg);
    transform-origin: center;
    transition: transform 0.3s ease-in-out, top 0.3s ease-in-out,
      left 0.3s ease-in-out;
  }

  .container {
    padding: 0 50px;
  }

  .bord {
    border-radius: 24px;
  }

  .section-offset {
    margin-top: 40px;
  }

  .projects__wrap {
    padding: 160px 40px;
  }

  .projects__text-h1 {
    font-size: 50px;
    line-height: 61px;
  }

  .projects__text-p {
    font-size: 18px;
    line-height: 22px;
  }

  .about.section-offset {
    margin-top: 40px;
  }

  .about__text {
    padding: 20px 0 54px;
    font-size: 16px;
  }

  .about__block-left {
    height: 650px;
  }

  .about__block-left__text {
    padding: 34px;
  }

  .about__item {
    padding: 34px 39px;
  }

  .about__item-img {
    width: 114px;
    margin-right: 16px;
  }

  .stages__item__all-steps {
    justify-content: space-between;
  }

  .stages__item__step:not(:last-child) {
    margin-right: 0;
  }

  .stages__item__content {
    margin-top: 44px;
    flex-direction: column-reverse;
  }

  .stages__item-left {
    width: 100%;
    margin-top: 40px;
  }

  .stages__item__subtitle,
  .stages__item__subtitle768 {
    min-height: auto;
  }

  .stages__btn {
    padding: 21px 37px;
  }

  .stages__btn:first-child {
    margin-right: 32px;
  }

  .stages__item__subtitle {
    display: none;
  }

  .stages__item__subtitle768 {
    display: block;
    font-size: 16px;
    line-height: 32px;
  }

  .stages__block-btn {
    margin-top: 23px;
  }

  .stages__item-right {
    width: 100%;
    height: 284px;
  }

  .questions {
    margin-bottom: 107px;
  }

  .questions.section-offset {
    margin-top: 49px;
  }

  .questions-h2 {
    font-size: 48px;
    line-height: 59px;
  }

  .questions__block {
    margin-top: 31px;
  }

  .questions__item-p {
    padding: 30px 0;
    line-height: 32px;
  }

  .questions__item-p.p-768 {
    padding: 39px 0;
  }

  .footer__wrap {
    padding: 53px 0 42px;
    flex-direction: column-reverse;
  }

  .footer-h2 {
    margin-bottom: 25px;
  }

  .footer__nav {
    display: none;
  }

  .footer__left {
    margin-top: 50px;
  }

  .footer__left-social {
    margin-top: 0;
  }
}

@media (max-width: 767px) {
  .header {
    border-bottom-right-radius: 16px;
    border-bottom-left-radius: 16px;
  }

  .btn {
    font-size: 12px;
    border-radius: 8px;
  }

  .container {
    padding: 0 15px;
  }

  .bord {
    border-radius: 16px;
  }

  .special-title {
    font-size: 24px;
  }

  .section-offset {
    margin-top: 30px;
  }

  .header__logo {
    height: 35px;
  }

  .header__search-block {
    width: 100%;
    height: 69px;
    z-index: 2000;
    border-radius: 0px 0px 16px 16px;
  }

  .header__search-input {
    width: 85%;
  }

  .projects__wrap {
    padding: 60px 22px;
    text-align: center;
  }

  .projects__text-h1 {
    font-size: 20px;
    line-height: 24px;
  }

  .projects__text-p {
    padding: 7px 0 33px;
    font-size: 12px;
    line-height: 15px;
  }

  .projects__btn {
    padding: 13px 28px;
  }

  .about.section-offset {
    margin-top: 61px;
  }

  .about__text {
    padding: 21px 0 14px;
    font-size: 14px;
    line-height: 28px;
  }

  .about__block-left {
    height: 200px;
    margin-bottom: 8px;
  }

  .about__text-btn {
    padding: 10px 41px;
  }

  .about__block-left__text {
    display: none;
  }

  .about__block-left__text320 {
    margin-bottom: 24px;
    display: block;
    color: var(--black-color);
  }

  .about__block-left__text320 .about__text-p {
    margin-bottom: 12px;
    font-weight: 400;
    font-size: 14px;
    line-height: 28px;
    color: inherit;
  }

  .about__block-left__text320 .about__text-btn {
    color: var(--orange-color);
  }

  .about__item {
    padding: 0;
    flex-direction: column;
    align-items: flex-start;
    background: #e5e5e5;
    border: none;
    border-radius: 0;
  }

  .about__item:nth-child(1) {
    margin-bottom: 26px;
  }

  .about__item-img {
    width: 64px;
  }

  .special-h3 {
    font-size: 18px;
    line-height: 22px;
  }

  .about__item__subtitle {
    margin-top: 4px;
    font-size: 14px;
    line-height: 28px;
  }

  .stages__item__step-link {
    font-size: 14px;
  }

  .stages.section-offset {
    margin-top: 62px;
  }

  .stages__item {
    margin-top: 18px;
  }

  .stages__item__subtitle768 {
    padding-top: 13px;
    font-size: 14px;
    line-height: 28px;
  }

  .stages__block-wrap {
    margin-top: 13px;
  }

  .stages__item-right {
    margin: 0;
    width: 100%;
    height: 160px;
  }

  .stages__item-left {
    margin-top: 21px;
  }

  .stages__block-btn {
    margin-right: 23px;
    margin-top: 25px;
  }

  .stages__btn_1 {
    padding: 12px 35px;
  }

  .stages__btn_2 {
    padding: 12px 30px;
  }

  .stages__btn:first-child {
    margin-right: 0px;
  }

  .questions.section-offset {
    margin: 59px 0 56px;
  }

  .questions__block {
    margin-top: 16px;
  }

  .questions__item-p.p-768 {
    padding: 30px 0;
  }

  .questions-h2 {
    line-height: 29px;
  }

  .questions__item-p,
  .questions__item-text-p {
    font-size: 14px;
    line-height: 24px;
  }

  .questions__item-img {
    width: 30px;
    height: 30px;
  }

  .footer__input-button {
    margin-top: 0px;
    flex-direction: column;
  }

  .footer__input-btn {
    margin-right: 0;
    margin-bottom: 12px;
  }

  .footer__left {
    margin-top: 22px;
    padding-top: 16px;
    text-align: center;
    border-top: 1px solid #414141;
  }

  .footer__wrap {
    padding: 33px 0 23px;
  }

  .footer-h2 {
    margin-bottom: 22px;
  }

  .footer__img {
    width: 131px;
  }

  .footer__social-link {
    margin-right: 6px;
    width: 40px;
    height: 40px;
  }

  .footer__social-img {
    width: 40px;
    height: 40px;
  }

  .footer__input-btn {
    padding: 12px 28px;
    margin-bottom: 20px;
  }

  .input {
    padding: 21px 19px;
    margin-bottom: 25px;
    font-size: 14px;
  }
}
